GET /v1/block-cursors
Get latest block cursor for a chain
GET
/v1/block-cursors
Get latest block cursor for a chain
Query Parameters
chainId
integer
required
query
Chain ID
cursorType
string
required
query
evm-log or native-transfer
Responses
200
OK
application/jsonchainId
integer
lastBlock
integer
updatedAt
string
400
Bad Request
404
Not Found
curl -X GET 'https://api.example.com/v1/block-cursors?chainId=0&cursorType=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/block-cursors?chainId=0&cursorType=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/block-cursors?chainId=0&cursorType=string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/block-cursors?chainId=0&cursorType=string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "chainId": 123, "lastBlock": 123, "updatedAt": "<string>"}
API Playground
Try this endpoint
GET
/v1/block-cursors
